
public class Buffer {
	private String content;
	public Buffer() {
		content = null;
	}
	public synchronized boolean write(String text) {
		while (content != null) {
			try { wait(); } catch (InterruptedException e) { }
		}
		content = text;
		notifyAll();
		return true;
	}
	public synchronized String text() {
		while (content == null) {
			try { wait(); } catch (InterruptedException e) { }
		}
		String text = content;
		content = null;
		notifyAll();
		return text;
	}
}
