import java.io.*;
import java.net.*;

class ChatClientWithoutGUI {
	public static void main(String args[]) {
		if (args.length == 0) {
			System.out.println("usage: java ChatClient [pseudo]");
			return;
		}
		BufferedReader keyboard = new BufferedReader(new InputStreamReader(System.in));
		Socket connection;
		BufferedReader in;
		PrintStream out;
		String text;
		try {
			connection = new Socket("127.0.0.1", 9767);
			in = new BufferedReader(new InputStreamReader(connection.getInputStream()));
			out = new PrintStream(connection.getOutputStream());
			out.println(args[0]);
			new Thread() {
				public void run() {
					try {
						String text = in.readLine();
						while (text != null) {
							System.out.println(text);
							text = in.readLine();
						}
					} catch(Exception e) { }
				}
			}.start();
			do {
				text = keyboard.readLine();
				out.println(text);
			} while(!text.equals("."));
			connection.close();
		} catch (IOException e) {
			System.err.println(e);
		}
	}
}
