import java.io.PrintStream;
import java.net.Socket;
import java.util.Iterator;

public class Writer extends Thread {
	protected Socket sock;
	protected PrintStream out;
	protected Buffer buffer;
	public Writer(Buffer buffer) {
		System.out.println("Creation d'un ecrivain");
		this.buffer = buffer;
	}
	public void run() {
		String toWrite;
		Iterator<Participant> it;
		while (true) {
			it = ChatServer.presents.iterator();
			while (it.hasNext()) {
				Participant p = it.next();
				if (!p.listener.isAlive()) it.remove();
			}
			toWrite = buffer.text() + ChatServer.CR + ChatServer.LF;
			for (Participant p : ChatServer.presents) {
				p.out.print(toWrite);
			}
		}
	}
}
